// Load dts shapes and merge animations
datablock TSShapeConstructor(CowDts)
{
	baseShape  = "./cowv4.dts";
	sequence0  = "./c4_root.dsq root";

	sequence1  = "./c4_run.dsq run";
	sequence2  = "./c4_run.dsq walk";
	sequence3  = "./c4_run.dsq back";
	sequence4  = "./c4_run.dsq side";

	sequence5  = "./c4_root.dsq crouch";
	sequence6  = "./c4_run.dsq crouchRun";
	sequence7  = "./c4_run.dsq crouchBack";
	sequence8  = "./c4_run.dsq crouchSide";

	sequence9  = "./c4_root.dsq look";
	sequence10 = "./c4_root.dsq headside";
	sequence11 = "./c4_root.dsq headUp";

	sequence12 = "./c4_jump.dsq jump";
	sequence13 = "./c4_standjump.dsq standjump";
	sequence14 = "./c4_fall.dsq fall";
	sequence15 = "./c4_root.dsq land";

	sequence16 = "./c4_root.dsq armAttack";
	sequence17 = "./c4_root.dsq armReadyLeft";
	sequence18 = "./c4_root.dsq armReadyRight";
	sequence19 = "./c4_root.dsq armReadyBoth";
	sequence20 = "./c4_root.dsq spearready";  
	sequence21 = "./c4_root.dsq spearThrow";

	sequence22 = "./c4_talk.dsq talk";  

	sequence23 = "./c4_death.dsq death1"; 
	
	sequence24 = "./c4_root.dsq shiftUp";
	sequence25 = "./c4_root.dsq shiftDown";
	sequence26 = "./c4_root.dsq shiftAway";
	sequence27 = "./c4_root.dsq shiftTo";
	sequence28 = "./c4_root.dsq shiftLeft";
	sequence29 = "./c4_root.dsq shiftRight";
	sequence30 = "./c4_root.dsq rotCW";
	sequence31 = "./c4_root.dsq rotCCW";

	sequence32 = "./c4_root.dsq undo";
	sequence33 = "./c4_root.dsq plant";

	sequence34 = "./c4_root.dsq sit";

	sequence35 = "./c4_root.dsq wrench";

   sequence36 = "./c4_root.dsq activate";
   sequence37 = "./c4_root.dsq activate2";

   sequence38 = "./c4_root.dsq leftrecoil";
};    

datablock DebrisData( CowDebris )
{
   explodeOnMaxBounce = false;

   elasticity = 0.15;
   friction = 0.5;

   lifetime = 4.0;
   lifetimeVariance = 0.0;

   minSpinSpeed = 40;
   maxSpinSpeed = 600;

   numBounces = 5;
   bounceVariance = 0;

   staticOnMaxBounce = true;
   gravModifier = 1.0;

   useRadiusMass = false;
   baseRadius = 1;

   velocity = 20.0;
   velocityVariance = 12.0;
};             

datablock PlayerData(CowArmor)
{
     renderFirstPerson = false;
   emap = false;
   
   className = Armor;
   shapeFile = "./cowv4.dts";
   cameraMaxDist = 7;
   cameraTilt = 0;//0.174 * 2.5; //~25 degrees
   cameraVerticalOffset = 0;
   computeCRC = false;
  
   canObserve = true;
   cmdCategory = "Clients";

   cameraDefaultFov = 90.0;
   cameraMinFov = 5.0;
   cameraMaxFov = 120.0;
   
   //debrisShapeName = "~/data/shapes/player/debris_player.dts";
   //debris = horseDebris;

   aiAvoidThis = true;

   minLookAngle = -1.5708;
   maxLookAngle = 1.5708;
   maxFreelookAngle = 3.0;

   mass = 60;
   drag = 0.1;
   maxdrag = 0.52;
   density = 0.7;
   maxDamage = 200;
   maxEnergy =  10;
   repairRate = 0.33;
   energyPerDamagePoint = 75.0;

   rechargeRate = 0.4;

   runForce = 28 * 90;
   runEnergyDrain = 0;
   minRunEnergy = 0;
   maxForwardSpeed = 7;
   maxBackwardSpeed = 2;
   maxSideSpeed = 1;

   maxForwardCrouchSpeed = 12;
   maxBackwardCrouchSpeed = 6;
   maxSideCrouchSpeed = 1;

   maxForwardProneSpeed = 0;
   maxBackwardProneSpeed = 0;
   maxSideProneSpeed = 0;

   maxForwardWalkSpeed = 1;
   maxBackwardWalkSpeed = 0;
   maxSideWalkSpeed = 0;

   maxUnderwaterForwardSpeed = 8.4;
   maxUnderwaterBackwardSpeed = 7.8;
   maxUnderwaterSideSpeed = 7.8;

   jumpForce = 8.3 * 90; //8.3 * 90;
   jumpEnergyDrain = 0;
   minJumpEnergy = 0;
   jumpDelay = 0;

   minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;

   recoverDelay = 0;
   recoverRunForceScale = 1.2;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   boundingBox			= vectorScale("2.5 2.5 2.4", 4); //"2.5 2.5 2.4";
   crouchBoundingBox	= vectorScale("2.5 2.5 2.4", 4); //"2.5 2.5 2.4";
   proneBoundingBox		= vectorScale("2.5 2.5 2.4", 4); //"2.5 2.5 2.4";

   pickupRadius = 0.75;
   
   // Damage location details
   boxNormalHeadPercentage       = 0.83;
   boxNormalTorsoPercentage      = 0.49;
   boxHeadLeftPercentage         = 0;
   boxHeadRightPercentage        = 1;
   boxHeadBackPercentage         = 0;
   boxHeadFrontPercentage        = 1;

   // Foot Prints
   //decalData   = HorseFootprint;
   //decalOffset = 0.25;
	
   jetEmitter = "";
   jetGroundEmitter = "";
   jetGroundDistance = 4;
  
   //footPuffEmitter = LightPuffEmitter;
   footPuffNumParts = 10;
   footPuffRadius = 0.25;

   //dustEmitter = LiftoffDustEmitter;

   splash = PlayerSplash;
   splashVelocity = 4.0;
   splashAngle = 67.0;
   splashFreqMod = 300.0;
   splashVelEpsilon = 0.60;
   bubbleEmitTime = 0.1;
   splashEmitter[0] = PlayerFoamDropletsEmitter;
   splashEmitter[1] = PlayerFoamEmitter;
   splashEmitter[2] = PlayerBubbleEmitter;
   mediumSplashSoundVelocity = 10.0;   
   hardSplashSoundVelocity = 20.0;   
   exitSplashSoundVelocity = 5.0;

   // Controls over slope of runnable/jumpable surfaces
   runSurfaceAngle  = 65;
   jumpSurfaceAngle = 66;

   minJumpSpeed = 20;
   maxJumpSpeed = 30;

   horizMaxSpeed = 68;
   horizResistSpeed = 33;
   horizResistFactor = 0.35;

   upMaxSpeed = 80;
   upResistSpeed = 25;
   upResistFactor = 0.3;
   
   footstepSplashHeight = 0.35;

   //NOTE:  some sounds commented out until wav's are available

   JumpSound			= JumpSound;

   // Footstep Sounds
//   FootSoftSound        = HorseFootFallSound;
//   FootHardSound        = HorseFootFallSound;
//   FootMetalSound       = HorseFootFallSound;
//   FootSnowSound        = HorseFootFallSound;
//   FootShallowSound     = HorseFootFallSound;
//   FootWadingSound      = HorseFootFallSound;
//   FootUnderwaterSound  = HorseFootFallSound;
   //FootBubblesSound     = FootLightBubblesSound;
   //movingBubblesSound   = ArmorMoveBubblesSound;
   //waterBreathSound     = WaterBreathMaleSound;

   //impactSoftSound      = ImpactLightSoftSound;
   //impactHardSound      = ImpactLightHardSound;
   //impactMetalSound     = ImpactLightMetalSound;
   //impactSnowSound      = ImpactLightSnowSound;
   
   impactWaterEasy      = Splash1Sound;
   impactWaterMedium    = Splash1Sound;
   impactWaterHard      = Splash1Sound;
   
   groundImpactMinSpeed    = 10.0;
   groundImpactShakeFreq   = "4.0 4.0 4.0";
   groundImpactShakeAmp    = "1.0 1.0 1.0";
   groundImpactShakeDuration = 0.8;
   groundImpactShakeFalloff = 10.0;
   
   //exitingWater         = ExitingWaterLightSound;
   
   observeParameters = "0.5 4.5 4.5";

   // Inventory Items
	maxItems   = 10;	//total number of bricks you can carry
	maxWeapons = 5;		//this will be controlled by mini-game code
	maxTools = 5;
	
	uiName = "Cow";
	rideable = true;
		lookUpLimit = 0.6;
		lookDownLimit = 0.2;

   numMountPoints = 1;
   mountThread[0] = "sit";
   mountNode[0] = 0;

	canRide = false;
	showEnergyBar = false;
	paintable = true;

	brickImage = CowBrickImage;	//the imageData to use for brick deployment

};

function CowArmor::onDriverLeave(%obj, %player)
{
	//%player.schedule(33, playThread, 3, "root");
}

//Sit hack. Sit animation on blockhead won't work so I had to do this
package sitCow {
   function armor::onMount(%this,%obj,%col,%slot) 
   {
      parent::onMount(%this,%obj,%col,%slot);
      if(%col.getDataBlock() == CowArmor.getID())
         %obj.playThread(3,"sit");
   }
};
//activatePackage(sitCow);
